

Creates eight general-purpose debug variables under /proc/sys/debug.  They
can be used for any old thing.



 include/linux/kernel.h |    2 ++
 kernel/ksyms.c         |    1 +
 kernel/sysctl.c        |   18 ++++++++++++++++++
 3 files changed, 21 insertions(+)

diff -puN kernel/sysctl.c~proc-sys-debug kernel/sysctl.c
--- 25/kernel/sysctl.c~proc-sys-debug	2003-03-16 22:21:03.000000000 -0800
+++ 25-akpm/kernel/sysctl.c	2003-03-16 22:21:03.000000000 -0800
@@ -353,7 +353,25 @@ static ctl_table fs_table[] = {
 	{0}
 };
 
+int proc_sys_debug[8];
+
 static ctl_table debug_table[] = {
+	{1, "0", &proc_sys_debug[0], sizeof(int), 0644, NULL,
+	 &proc_dointvec_minmax, &sysctl_intvec, NULL, NULL, NULL},
+	{2, "1", &proc_sys_debug[1], sizeof(int), 0644, NULL,
+	 &proc_dointvec_minmax, &sysctl_intvec, NULL, NULL, NULL},
+	{3, "2", &proc_sys_debug[2], sizeof(int), 0644, NULL,
+	 &proc_dointvec_minmax, &sysctl_intvec, NULL, NULL, NULL},
+	{4, "3", &proc_sys_debug[3], sizeof(int), 0644, NULL,
+	 &proc_dointvec_minmax, &sysctl_intvec, NULL, NULL, NULL},
+	{5, "4", &proc_sys_debug[4], sizeof(int), 0644, NULL,
+	 &proc_dointvec_minmax, &sysctl_intvec, NULL, NULL, NULL},
+	{6, "5", &proc_sys_debug[5], sizeof(int), 0644, NULL,
+	 &proc_dointvec_minmax, &sysctl_intvec, NULL, NULL, NULL},
+	{7, "6", &proc_sys_debug[6], sizeof(int), 0644, NULL,
+	 &proc_dointvec_minmax, &sysctl_intvec, NULL, NULL, NULL},
+	{8, "7", &proc_sys_debug[7], sizeof(int), 0644, NULL,
+	 &proc_dointvec_minmax, &sysctl_intvec, NULL, NULL, NULL},
 	{0}
 };
 
diff -puN include/linux/kernel.h~proc-sys-debug include/linux/kernel.h
--- 25/include/linux/kernel.h~proc-sys-debug	2003-03-16 22:21:03.000000000 -0800
+++ 25-akpm/include/linux/kernel.h	2003-03-16 22:21:03.000000000 -0800
@@ -199,6 +199,8 @@ extern void dump_stack(void);
 	1; \
 })
 
+extern int proc_sys_debug[8];
+
 #endif /* __KERNEL__ */
 
 #define SI_LOAD_SHIFT	16
diff -puN kernel/ksyms.c~proc-sys-debug kernel/ksyms.c
--- 25/kernel/ksyms.c~proc-sys-debug	2003-03-16 22:21:03.000000000 -0800
+++ 25-akpm/kernel/ksyms.c	2003-03-16 22:21:03.000000000 -0800
@@ -394,6 +394,7 @@ EXPORT_SYMBOL(proc_dointvec_jiffies);
 EXPORT_SYMBOL(proc_dointvec_minmax);
 EXPORT_SYMBOL(proc_doulongvec_ms_jiffies_minmax);
 EXPORT_SYMBOL(proc_doulongvec_minmax);
+EXPORT_SYMBOL(proc_sys_debug);
 
 /* interrupt handling */
 EXPORT_SYMBOL(add_timer);

_
